PETSc version 3.15.5
Fix/Edit manual page

# KSPFETIDPSetPressureOperator

Sets the operator used to setup the pressure preconditioner for saddle point FETI-DP.

### Synopsis

    #include <petscksp.h>
    PetscErrorCode KSPFETIDPSetPressureOperator(KSP ksp, Mat P)

Collective on ksp

### Input Parameters

| ksp | - the FETI-DP Krylov solver
| P | - the linear operator to be preconditioned, usually the mass matrix.

### Notes

The operator can be either passed in a) monolithic global ordering, b) pressure-only global ordering or c) interface pressure ordering (if -ksp_fetidp_pressure_all false). In cases b) and c), the pressure ordering of dofs needs to satisfy pid_1 < pid_2 iff gid_1 < gid_2 where pid_1 and pid_2 are two different pressure dof numbers and gid_1 and gid_2 the corresponding id in the monolithic global ordering.

### See Also

MATIS, PCBDDC, KSPFETIDPGetInnerBDDC, KSPFETIDPGetInnerKSP, KSPSetOperators

### Level

advanced

### Location

src/ksp/ksp/impls/fetidp/fetidp.c

### Implementations

KSPFETIDPSetPressureOperator_FETIDP in src/ksp/ksp/impls/fetidp/fetidp.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages